# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global srcname should-promised
%global owner shouldjs

Name:           nodejs-%{srcname}
Version:        0.3.1
Release:        1%{?dist}
Summary:        Some sort of promise assertion helpers
License:        MIT
URL:            https://github.com/%{owner}/promised
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(bluebird)
BuildRequires:  npm(should)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md History.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Nov 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.1-1
- Initial package
